{% extends 'layout/auth.html.twig' %}

{% block title %}Connexion
{% endblock %}

{% block container %}
	<h1>Connexion</h1>
	<form method="post" class="login">
		<input type="email" placeholder="Adresse e-mail" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>

		<input type="password" placeholder="Mot de passe" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
		<p class="lost_password">
			<a href="{{ path('app_forgot_password_request') }}">Vous avez oublié votre mot de passe?<a></p>
				<input
				type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

				{#
				            Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
				            See https://symfony.com/doc/current/security/remember_me.html
				
				            <div class="checkbox mb-3">
				                <label>
				                    <input type="checkbox" name="_remember_me"> Remember me
				                </label>
				            </div>
				        #}
				<div class="button">
					<button class="auth_btn btn-lg btn-primary" type="submit">
						Se connecter
					</button>
				</div>
			</form>
		</p>
		<p class="has_account">Pas encore de compte?
			<a href="/register">S'inscrire</a>
		</p>

		{% if error %}
			<div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
		{% endif %}

		{% if app.user %}
			<div class="mb-3">
				You are logged in as
				{{ app.user.username }},
				<a href="{{ path('app_logout') }}">Logout</a>
			</div>
		{% endif %}
	{% endblock %}
